Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.hasessionstate.server
Interface HASessionStateServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  HASessionStateService

public interface HASessionStateServiceMBean
extends org.jboss.system.ServiceMBean

MBEAN interface for HASessionState service.

Version:
  $Revision: 1.10 $

  Revisions:

Author:
  sacha.labourey@cogito-info.ch
See Also:
  `HASessionState`

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`long` | `getBeanCleaningDelay()`
`String` | `getJndiName()`
`String` | `getPartitionName()`
`void` | `setBeanCleaningDelay(long newDelay)`
`void` | `setJndiName(String newName)`
`void` | `setPartitionName(String name)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getJndiName

    public String getJndiName()

### setJndiName

    public void setJndiName(String newName)

### getPartitionName

    public String getPartitionName()

### setPartitionName

    public void setPartitionName(String name)

### getBeanCleaningDelay

    public long getBeanCleaningDelay()

### setBeanCleaningDelay

    public void setBeanCleaningDelay(long newDelay)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.